@import "custom";
@import "~bulma";
@import "~ionicons-npm/scss/ionicons";
@import "~animate.css/animate.css";
@import '~codemirror/lib/codemirror.css';
@import '~codemirror/theme/monokai.css';
@import '~codemirror/addon/hint/show-hint.css';
@import '~flickity/css/flickity.css';
@import '~rc-slider/assets/index.css';
@import '~rc-tooltip/assets/bootstrap.css';

@-webkit-keyframes Gradient {
    0% {
        background-position: 0% 50%
    }
    50% {
        background-position: 100% 50%
    }
    100% {
        background-position: 0% 50%
    }
}

@-moz-keyframes Gradient {
    0% {
        background-position: 0% 50%
    }
    50% {
        background-position: 100% 50%
    }
    100% {
        background-position: 0% 50%
    }
}

@keyframes Gradient {
    0% {
        background-position: 0% 50%
    }
    50% {
        background-position: 100% 50%
    }
    100% {
        background-position: 0% 50%
    }
}

.gradient-animation {
    -webkit-animation: Gradient 15s ease infinite;
    -moz-animation: Gradient 15s ease infinite;
    animation: Gradient 15s ease infinite;
}

#control-container {
    width: 100%;
    padding: 0 20%;
    position: absolute;
    bottom: 1%;
    border-radius: 15px 15px 0 0 ;
    .columns {
        color: #fff;
        background: linear-gradient(-45deg, rgb(238, 119, 82), rgb(231, 60, 126), rgb(35, 166, 213), rgb(35, 213, 171));
        background-size: 400% 400%;
        .column {
            height: 70px;
            text-align: center;
            .icon {
                transition: 400ms;
                background-color: rgba(255, 255, 255, 0.5);
                padding: 5px;
                border-radius: 50%;
                vertical-align: center;
                width: 45px;
                height: 45px;
            }
            .icon:hover {
                transform: scale(1.5);
            }
        }
    }
}

.tooltip {
    position: relative;
    display: inline-block;
    border-bottom: 1px dotted black;
}

.tooltip .tooltiptext {
    visibility: hidden;
    width: 120px;
    background-color: black;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px 0;
    position: absolute;
    bottom: 150%;
    left: 50%;
    margin-left: -60px;
    z-index : 100 !important;
}

.tooltip .tooltiptext::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: black transparent transparent transparent;
}

.tooltip:hover .tooltiptext {
    visibility: visible;
    transition: 500ms;
    transform: scale(0.6) translateY(90%);
    z-index : 100;
}

.flag-content {
    border: 5px solid #424242;
    border-radius: 50%;
    width: 90px;
    height: 90px;
    cursor: pointer;
    img {
        width: 90px;
        height: 80px;
    }
}

#background {
    width: 100%;
    height: 100vh;
    position: absolute;
}

.gradient {
    background: linear-gradient(-45deg, rgb(238, 119, 82), rgb(231, 60, 126), rgb(35, 166, 213), rgb(35, 213, 171));
    background-size: 400% 400%;
    width: 100%;
    height: 100vh;
    position: absolute;
    animation: Gradient 30s ease infinite;
}

.image {
    background: url("/images/bg.png");
    width: 100%;
    height: 100vh;
    position: absolute;
}
